To Compile on Mac OSX

Trying to build your own version of Vega Strike and having problems? Unix users, paste your config.log here (stderr output alone is not helpful).

To Compile on Mac OSX

Postby OpaqueOcculus » Wed Dec 26, 2012 1:51 pm

I've done three things so far. I've used macports to install ffmpeg and py26-gtk. I don't have Ogre3D installed on my computer as of yet, (I could, if need be). I opened up the CMakeLists.txt file that cmake uses and I commented out the piece that searches for Ogre. When I run cmake, the Makefile is generated without a problem. Then I run make; this is where things start to get interesting...

It compiles up to 8% and crashes with the error below:

That is not a crash from a Ogre3D meshing issue, I'm fairly certain. What in the sam-hoots is happening here?

Help, please?


------------------------------------
[ 8%] Built target OPcollide
[ 8%] Building CXX object CMakeFiles/engine_com.dir/src/cmd/ai/aggressive.o
In file included from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/gfx/vec.h:18,
from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/cmd/ai/order.h:26,
from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/cmd/ai/comm_ai.h:4,
from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/cmd/ai/fire.h:3,
from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/cmd/ai/aggressive.h:3,
from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/cmd/ai/aggressive.cpp:2:
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h: In function ‘float VSSwapHostFloatToLittle(float)’:
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h:74: warning: ‘NXSwapHostLongToLittle’ is deprecated (declared at /usr/include/architecture/byte_order.h:349)
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h:74: warning: ‘NXSwapHostLongToLittle’ is deprecated (declared at /usr/include/architecture/byte_order.h:349)
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h: In function ‘unsigned int VSSwapHostIntToLittle(unsigned int)’:
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h:85: warning: ‘NXSwapHostLongToLittle’ is deprecated (declared at /usr/include/architecture/byte_order.h:349)
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h:85: warning: ‘NXSwapHostLongToLittle’ is deprecated (declared at /usr/include/architecture/byte_order.h:349)
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h: In function ‘short unsigned int VSSwapHostShortToLittle(short unsigned int)’:
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h:90: warning: ‘NXSwapHostShortToLittle’ is deprecated (declared at /usr/include/architecture/byte_order.h:331)
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h:90: warning: ‘NXSwapHostShortToLittle’ is deprecated (declared at /usr/include/architecture/byte_order.h:331)
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h: In function ‘double DONTUSE__NXSwapBigDoubleToLittleEndian(double)’:
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h:102: warning: ‘NXSwapHostLongToLittle’ is deprecated (declared at /usr/include/architecture/byte_order.h:349)
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h:102: warning: ‘NXSwapHostLongToLittle’ is deprecated (declared at /usr/include/architecture/byte_order.h:349)
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h:103: warning: ‘NXSwapHostLongToLittle’ is deprecated (declared at /usr/include/architecture/byte_order.h:349)
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h:103: warning: ‘NXSwapHostLongToLittle’ is deprecated (declared at /usr/include/architecture/byte_order.h:349)
In file included from /opt/local/include/zconf.h:401,
from /opt/local/include/zlib.h:34,
from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/pk3.h:43,
from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/vsfilesystem.h:13,
from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/easydom.h:35,
from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/configxml.h:32,
from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/config_xml.h:33,
from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/cmd/ai/aggressive.cpp:8:
/usr/include/sys/types.h: At global scope:
/usr/include/sys/types.h:126: error: declaration does not declare anything
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/cmd/ai/aggressive.cpp: In member function ‘bool Orders::AggressiveAI::ProcessCurrentFgDirective(Flightgroup*)’:
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/cmd/ai/aggressive.cpp:760: warning: unused variable ‘callme’
make[2]: *** [CMakeFiles/engine_com.dir/src/cmd/ai/aggressive.o] Error 1
make[1]: *** [CMakeFiles/engine_com.dir/all] Error 2
make: *** [all] Error 2
User avatar
OpaqueOcculus
Star Pilot
Star Pilot
 
Posts: 7
Topics: 1
Joined: Wed Dec 26, 2012 1:38 pm

Share On:

Share on Facebook Facebook Share on Twitter Twitter Share on Digg Digg

Re: To Compile on Mac OSX

Postby klauss » Wed Dec 26, 2012 2:00 pm

That looks like a zlib error.
Oíd mortales, el grito sagrado...
Call me "Menes, lord of Cats"
Wing Commander Universe
User avatar
klauss
Elite
Elite
 
Posts: 7243
Topics: 55
Joined: Mon Apr 18, 2005 7:40 am
Location: LS87, Buenos Aires, República Argentina

Re: To Compile on Mac OSX

Postby OpaqueOcculus » Wed Dec 26, 2012 2:06 pm

Thanks for responding. How do I fix it?
User avatar
OpaqueOcculus
Star Pilot
Star Pilot
 
Posts: 7
Topics: 1
Joined: Wed Dec 26, 2012 1:38 pm

Re: To Compile on Mac OSX

Postby OpaqueOcculus » Wed Dec 26, 2012 2:10 pm

It's pointing to zlib.h line 34. Line 34 contains: "#include zconf.h". Perhaps it's an issue in the header file?
User avatar
OpaqueOcculus
Star Pilot
Star Pilot
 
Posts: 7
Topics: 1
Joined: Wed Dec 26, 2012 1:38 pm

Re: To Compile on Mac OSX

Postby klauss » Wed Dec 26, 2012 3:04 pm

OpaqueOcculus wrote:It's pointing to zlib.h line 34. Line 34 contains: "#include zconf.h". Perhaps it's an issue in the header file?


Probably, I have no idea how zlib could be broken in macports. But it does look as if it were an error contained within zlib.

Sorry, I'm not very useful in this matter, I could suggest you try to build zlib from source, that might be easier to debug than macports. I don't think zlib has many dependencies, so it ought to be rather easy.
Oíd mortales, el grito sagrado...
Call me "Menes, lord of Cats"
Wing Commander Universe
User avatar
klauss
Elite
Elite
 
Posts: 7243
Topics: 55
Joined: Mon Apr 18, 2005 7:40 am
Location: LS87, Buenos Aires, República Argentina

Re: To Compile on Mac OSX

Postby OpaqueOcculus » Wed Dec 26, 2012 4:38 pm

Well, I found another interesting issue...

I removed the old zlib.h and zconf.h in /opt/local/include/. I rebuilt zlib from source. It merely changes the error...


--------------------------------------
[ 8%] Built target OPcollide
[ 8%] Building CXX object CMakeFiles/engine_com.dir/src/cmd/ai/aggressive.o
In file included from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/gfx/vec.h:18,
from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/cmd/ai/order.h:26,
from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/cmd/ai/comm_ai.h:4,
from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/cmd/ai/fire.h:3,
from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/cmd/ai/aggressive.h:3,
from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/cmd/ai/aggressive.cpp:2:
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h: In function ‘float VSSwapHostFloatToLittle(float)’:
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h:74: warning: ‘NXSwapHostLongToLittle’ is deprecated (declared at /usr/include/architecture/byte_order.h:349)
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h:74: warning: ‘NXSwapHostLongToLittle’ is deprecated (declared at /usr/include/architecture/byte_order.h:349)
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h: In function ‘unsigned int VSSwapHostIntToLittle(unsigned int)’:
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h:85: warning: ‘NXSwapHostLongToLittle’ is deprecated (declared at /usr/include/architecture/byte_order.h:349)
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h:85: warning: ‘NXSwapHostLongToLittle’ is deprecated (declared at /usr/include/architecture/byte_order.h:349)
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h: In function ‘short unsigned int VSSwapHostShortToLittle(short unsigned int)’:
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h:90: warning: ‘NXSwapHostShortToLittle’ is deprecated (declared at /usr/include/architecture/byte_order.h:331)
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h:90: warning: ‘NXSwapHostShortToLittle’ is deprecated (declared at /usr/include/architecture/byte_order.h:331)
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h: In function ‘double DONTUSE__NXSwapBigDoubleToLittleEndian(double)’:
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h:102: warning: ‘NXSwapHostLongToLittle’ is deprecated (declared at /usr/include/architecture/byte_order.h:349)
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h:102: warning: ‘NXSwapHostLongToLittle’ is deprecated (declared at /usr/include/architecture/byte_order.h:349)
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h:103: warning: ‘NXSwapHostLongToLittle’ is deprecated (declared at /usr/include/architecture/byte_order.h:349)
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h:103: warning: ‘NXSwapHostLongToLittle’ is deprecated (declared at /usr/include/architecture/byte_order.h:349)
In file included from /usr/local/include/zconf.h:424,
from /usr/local/include/zlib.h:34,
from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/pk3.h:43,
from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/vsfilesystem.h:13,
from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/easydom.h:35,
from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/configxml.h:32,
from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/config_xml.h:33,
from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/cmd/ai/aggressive.cpp:8:
/usr/include/sys/types.h: At global scope:
/usr/include/sys/types.h:126: error: declaration does not declare anything
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/cmd/ai/aggressive.cpp: In member function ‘bool Orders::AggressiveAI::ProcessCurrentFgDirective(Flightgroup*)’:
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/cmd/ai/aggressive.cpp:760: warning: unused variable ‘callme’
make[2]: *** [CMakeFiles/engine_com.dir/src/cmd/ai/aggressive.o] Error 1
make[1]: *** [CMakeFiles/engine_com.dir/all] Error 2
make: *** [all] Error 2
User avatar
OpaqueOcculus
Star Pilot
Star Pilot
 
Posts: 7
Topics: 1
Joined: Wed Dec 26, 2012 1:38 pm

Re: To Compile on Mac OSX

Postby klauss » Wed Dec 26, 2012 5:15 pm

Googling I found bacula had a similar problem, and they fixed it with a version upgrade + ports script fix. Not much, but maybe you find a hint there.
Oíd mortales, el grito sagrado...
Call me "Menes, lord of Cats"
Wing Commander Universe
User avatar
klauss
Elite
Elite
 
Posts: 7243
Topics: 55
Joined: Mon Apr 18, 2005 7:40 am
Location: LS87, Buenos Aires, República Argentina

Re: To Compile on Mac OSX

Postby OpaqueOcculus » Wed Dec 26, 2012 6:30 pm

I appreciate the help Klauss. I'm in the process of getting boost-python, and replacing zlib in the process. I'll try and rebuild it from here. Once I get it built, I'll see if I can add something cool to the game. I find the auto pilot algorithms a little slow, I'll see if I can mod it to create a new class of add-on to the ship that costs a minor fortune that improves the handling and behavior of the ships. If it were possible to create an add on that makes your SPEC drive move faster under the influence of gravity, it would improve the playability of the game; I think. Of course, just because I create these add-on's doesn't mean they'll be adopted by the community. Or what if there were an actual in-game use for most of the commodities, like what if it were possible to select an option to allow you to move around inside of your spaceship, and say, buy a couch and stick it in the living room of your Clydesdale? I think that would be kinda cool.
User avatar
OpaqueOcculus
Star Pilot
Star Pilot
 
Posts: 7
Topics: 1
Joined: Wed Dec 26, 2012 1:38 pm

Re: To Compile on Mac OSX

Postby OpaqueOcculus » Thu Dec 27, 2012 5:17 pm

Ok life is good, now that I've slept and I'm no longer living on caffeine. I've figured out a few things in the build process. Clearly I didn't understand automake as thoroughly as I would've liked. There is a more complete process. The configure file is pointed towards the wrong system for whatever you have if you are a Mac user. So how do we fix it? Well, I'll show you.

Open up configure.ac, scroll down until you find this:

configure.ac
Code: Select all
...  /// These are meant to mean lots of stuff in the file before ***Do not delete the stuff previous***
if test "x$is_macosx" = "xyes" ; then
        CXXFLAGS="$CXXFLAGS -I/Developer/SDKs/MacOSX10.3.sdk/System/Library/Frameworks/Carbon.framework/Libraries/CIncludes -DHAVE_PYTHON=1 -I$with_python_inc "
        CPPFLAGS="$CPPFLAGS -Wno-long-double"
    dnl GL_CPPFLAGS="$GL_CPPFLAGS -framework OpenGL"
    dnl GLUT_CPPFLAGS="$GLUT_CPPFLAGS -framework GLUT"
        VS_LIBS="$VS_LIBS -F/Developer/SDKs/MacOSX10.2.8.sdk/System/Library/Frameworks  -framework OpenGL -framework GLUT -framework CoreAudio"
    with_gl_inc=/Developer/SDKs/MacOSX10.2.8.sdk/System/Library/Frameworks/Carbon.framework/Libraries/CIncludes
    with_gl_libs=/Developer/SDKs/MacOSX10.2.8.sdk/System/Library/Frameworks/OpenGL.framework/Libraries
    with_al_inc="/System/Library/Frameworks/OpenAL.framework/Headers -I/sw/include"
    with_al_libs="/System/Library/Frameworks/OpenAL.framework/ -L/sw/lib"
#    PYTHON_LDOPTS="-L/System/Library/Frameworks/Python.framework"
#    with_python_inc="/System/Library/Frameworks/Python.framework/Headers"
    VS_LIBS="$VS_LIBS -lobjc -L$with_python_libs "
fi
...  /// These are meant to mean lots of stuff in the file after the code ***Do not delete the stuff after the code***


Well now... isn't that cute? configure.ac is pointed to MacOSX10.2.8 in the Developer tools; so unless you happen to be very lucky and very outdated, the "./configure" will go looking for the frameworks in all the wrong places. So how do we fix it? Well, open up your Finder, then click on Macintosh HD. Click on the Developer folder, then click on the SDKs folder, aha! This is what it's looking for!! For me, the folder is MacOSX10.6. So I updated that piece of my configure.ac file to look like this:

Code: Select all
... 
if test "x$is_macosx" = "xyes" ; then
        CXXFLAGS="$CXXFLAGS -I/Developer/SDKs/MacOSX10.6.sdk/System/Library/Frameworks/Carbon.framework/Libraries/CIncludes -DHAVE_PYTHON=1 -I$with_python_inc "
        CPPFLAGS="$CPPFLAGS -Wno-long-double"
    dnl GL_CPPFLAGS="$GL_CPPFLAGS -framework OpenGL"
    dnl GLUT_CPPFLAGS="$GLUT_CPPFLAGS -framework GLUT"
        VS_LIBS="$VS_LIBS -F/Developer/SDKs/MacOSX10.6.sdk/System/Library/Frameworks  -framework OpenGL -framework GLUT -framework CoreAudio"
    with_gl_inc=/Developer/SDKs/MacOSX10.6.sdk/System/Library/Frameworks/Carbon.framework/Libraries/CIncludes
    with_gl_libs=/Developer/SDKs/MacOSX10.6.sdk/System/Library/Frameworks/OpenGL.framework/Libraries
    with_al_inc="/System/Library/Frameworks/OpenAL.framework/Headers -I/sw/include"
    with_al_libs="/System/Library/Frameworks/OpenAL.framework/ -L/sw/lib"
#    PYTHON_LDOPTS="-L/System/Library/Frameworks/Python.framework"
#    with_python_inc="/System/Library/Frameworks/Python.framework/Headers"
    VS_LIBS="$VS_LIBS -lobjc -L$with_python_libs "
fi
..


So great, we've updated configure.ac, now what do we do? Well this is the part of the automake process that you don't normally get to mess with. On your command line, run:

>> autoconf

This has generated a brand new configure binary.

Now run it:
>> ./configure

Now it recognizes the right library. Unfortunately, I don't have this game compiled yet. When I run ./configure, I get an interesting message:

-----------------
checking for MacOSX platform... yes
checking ieeefp.h usability... no
checking ieeefp.h presence... no
checking for ieeefp.h... no
checking zlib.h usability... yes
checking zlib.h presence... yes
checking for zlib.h... yes
Enabling user-specified flags:
configure: Enabling dds cubmap support with -DNV_CUBE_MAP
checking for Win32 platform... no
checking for CygWin platform... no
checking for Mingw32 platform... no
checking for Linux platform... no
checking for FreeBSD platform... no
checking for python... python Python 2.6.7
/usr/lib/libpython2.6.so yes
checking for --export-dynamic... no
checking for -export-dynamic... no
checking for sdl-config... /opt/local/bin/sdl-config
checking for SDL - version >= 1.0.1... no
*** Could not run SDL test program, checking why...
*** The test program failed to compile or link. See the file config.log for the
*** exact error that occured. This usually means SDL was incorrectly installed
*** or that you have moved SDL since it was installed. In the latter case, you
*** may want to edit the sdl-config script: /opt/local/bin/sdl-config
*** SDL not found. Configuring without joystick support.
checking for GL/gl.h... yes
checking for XmuGetHostname in -lXmu... no
checking for XListInputDevices in -lXi... no
checking for glut32 library... -lutil -F/Developer/SDKs/MacOSX10.6.sdk/System/Library/Frameworks -framework OpenGL -framework GLUT -framework CoreAudio -lobjc -L -framework GLUT
no
checking for glut library... -lutil -F/Developer/SDKs/MacOSX10.6.sdk/System/Library/Frameworks -framework OpenGL -framework GLUT -framework CoreAudio -lobjc -L -framework GLUT
no
configure: WARNING: Glut might fail because of missing libXmu-dev and/or headers!
configure: WARNING: Glut might fail because of missing libXi-dev and/or headers!
configure: error: GLUT library not found or too old version. 3.7 (beta) or later required.
-----------------


Well, at least it's looking for the frameworks in the right places now... even if it can't seem to find them. I'm working on it. I learned a little more than I knew before, cracking my skull on this problem. Maybe my insights will help some other poor devil who decides to compile this thing on a Mac.
User avatar
OpaqueOcculus
Star Pilot
Star Pilot
 
Posts: 7
Topics: 1
Joined: Wed Dec 26, 2012 1:38 pm

Re: To Compile on Mac OSX

Postby klauss » Thu Dec 27, 2012 6:51 pm

Wait... did you try cmake? It's supposed to work better on Mac than autotools
Oíd mortales, el grito sagrado...
Call me "Menes, lord of Cats"
Wing Commander Universe
User avatar
klauss
Elite
Elite
 
Posts: 7243
Topics: 55
Joined: Mon Apr 18, 2005 7:40 am
Location: LS87, Buenos Aires, República Argentina

Re: To Compile on Mac OSX

Postby OpaqueOcculus » Sat Dec 29, 2012 10:22 pm

Sorry it took so long to respond. I've been distracted.

Yes, I ran Cmake. I get this:



------------------------------------
unknowne4ce8f38ceec:vegastrike-src-0.5.1.r1 jon$ cmake .
++ Using Internal Boost
++ OpenGL found : /System/Library/Frameworks/AGL.framework;/System/Library/Frameworks/OpenGL.framework
++ GLUT found : -framework GLUT;-framework Cocoa
++ Found OpenAL
++ SDL Found
-- Found Vorbis: /opt/local/lib/libvorbis.dylib;/opt/local/lib/libvorbisfile.dylib;/opt/local/lib/libogg.dylib
-- checking for module 'libavcodec'
-- found libavcodec, version 54.59.100
-- checking for module 'libavformat'
-- found libavformat, version 54.29.104
-- checking for module 'libavutil'
-- found libavutil, version 51.73.101
-- checking for module 'libswscale'
-- found libswscale, version 2.1.101
-- Found FFmpeg: /opt/local/lib/libavcodec.dylib;/opt/local/lib/libavformat.dylib;/opt/local/lib/libavutil.dylib;swscale
++ FFmpeg's libswscale found.
-- checking for module 'OGRE>=1.2.0'
-- package 'OGRE>=1.2.0' not found
-- Ogre not found
-- Ogre Not Found: compiling without
-- checking for module 'gtk+-2.0'
-- found gtk+-2.0, version 2.24.14
-- checking for module 'glib-2.0'
-- found glib-2.0, version 2.34.3
-- checking for module 'gmodule-2.0'
-- found gmodule-2.0, version 2.34.3
-- checking for module 'gdk-2.0'
-- found gdk-2.0, version 2.24.14
-- checking for module 'pango'
-- found pango, version 1.30.1
-- checking for module 'cairo'
-- found cairo, version 1.12.8
-- checking for module 'atk'
-- found atk, version 2.6.0
-- checking for module 'gdk-pixbuf-2.0'
-- found gdk-pixbuf-2.0, version 2.26.5
-- Found GTK2: /opt/local/lib/libgtk-x11-2.0.dylib;/opt/local/lib/libgdk-x11-2.0.dylib;/opt/local/lib/libgdk_pixbuf-2.0.dylib;/opt/local/lib/libgmodule-2.0.dylib;/opt/local/lib/libgthread-2.0.dylib;/opt/local/lib/libgobject-2.0.dylib;/opt/local/lib/libpango-1.0.dylib;/opt/local/lib/libpangocairo-1.0.dylib;/opt/local/lib/libatk-1.0.dylib
-- Compiling mesh_tool without OgreMesh support: Ogre not found
Default build type is Release, no cpu opts enabled.
-- Configuring done
CMake Warning at CMakeLists.txt:677 (add_executable):
Cannot generate a safe linker search path for target vegaserver because
files in some directories may conflict with libraries in implicit
directories:

link library [libz.dylib] in /usr/lib may be hidden by files in:
/opt/local/lib
link library [libexpat.dylib] in /usr/lib may be hidden by files in:
/opt/local/lib

Some of these libraries may not be found correctly.


CMake Warning at CMakeLists.txt:671 (add_executable):
Cannot generate a safe linker search path for target vegastrike because
files in some directories may conflict with libraries in implicit
directories:

link library [libz.dylib] in /usr/lib may be hidden by files in:
/opt/local/lib
link library [libexpat.dylib] in /usr/lib may be hidden by files in:
/opt/local/lib

Some of these libraries may not be found correctly.


-- Generating done
-- Build files have been written to: /Users/jon/Downloads/vegastrike-src-0.5.1.r1
--------------------------------------------------


Then I run the make process:


>> make

"It does pretty well, then it gets to here:"

Linking CXX static library libOPcollide.a
[ 8%] Built target OPcollide
Scanning dependencies of target engine_com
[ 8%] Building CXX object CMakeFiles/engine_com.dir/src/cmd/ai/aggressive.o
In file included from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/gfx/vec.h:18,
from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/cmd/ai/order.h:26,
from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/cmd/ai/comm_ai.h:4,
from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/cmd/ai/fire.h:3,
from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/cmd/ai/aggressive.h:3,
from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/cmd/ai/aggressive.cpp:2:
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h: In function ‘float VSSwapHostFloatToLittle(float)’:
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h:74: warning: ‘NXSwapHostLongToLittle’ is deprecated (declared at /usr/include/architecture/byte_order.h:349)
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h:74: warning: ‘NXSwapHostLongToLittle’ is deprecated (declared at /usr/include/architecture/byte_order.h:349)
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h: In function ‘unsigned int VSSwapHostIntToLittle(unsigned int)’:
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h:85: warning: ‘NXSwapHostLongToLittle’ is deprecated (declared at /usr/include/architecture/byte_order.h:349)
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h:85: warning: ‘NXSwapHostLongToLittle’ is deprecated (declared at /usr/include/architecture/byte_order.h:349)
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h: In function ‘short unsigned int VSSwapHostShortToLittle(short unsigned int)’:
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h:90: warning: ‘NXSwapHostShortToLittle’ is deprecated (declared at /usr/include/architecture/byte_order.h:331)
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h:90: warning: ‘NXSwapHostShortToLittle’ is deprecated (declared at /usr/include/architecture/byte_order.h:331)
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h: In function ‘double DONTUSE__NXSwapBigDoubleToLittleEndian(double)’:
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h:102: warning: ‘NXSwapHostLongToLittle’ is deprecated (declared at /usr/include/architecture/byte_order.h:349)
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h:102: warning: ‘NXSwapHostLongToLittle’ is deprecated (declared at /usr/include/architecture/byte_order.h:349)
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h:103: warning: ‘NXSwapHostLongToLittle’ is deprecated (declared at /usr/include/architecture/byte_order.h:349)
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/endianness.h:103: warning: ‘NXSwapHostLongToLittle’ is deprecated (declared at /usr/include/architecture/byte_order.h:349)
In file included from /opt/local/include/zconf.h:424,
from /opt/local/include/zlib.h:34,
from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/pk3.h:43,
from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/vsfilesystem.h:13,
from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/easydom.h:35,
from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/configxml.h:32,
from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/config_xml.h:33,
from /Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/cmd/ai/aggressive.cpp:8:
/usr/include/sys/types.h: At global scope:
/usr/include/sys/types.h:126: error: declaration does not declare anything
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/cmd/ai/aggressive.cpp: In member function ‘bool Orders::AggressiveAI::ProcessCurrentFgDirective(Flightgroup*)’:
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/cmd/ai/aggressive.cpp:759: warning: unused variable ‘callme’
make[2]: *** [CMakeFiles/engine_com.dir/src/cmd/ai/aggressive.o] Error 1
make[1]: *** [CMakeFiles/engine_com.dir/all] Error 2
make: *** [all] Error 2
--------------------------

I'm not really sure what's causing this.
User avatar
OpaqueOcculus
Star Pilot
Star Pilot
 
Posts: 7
Topics: 1
Joined: Wed Dec 26, 2012 1:38 pm

Re: To Compile on Mac OSX

Postby klauss » Sat Dec 29, 2012 11:25 pm

OpaqueOcculus wrote:/usr/include/sys/types.h: At global scope:
/usr/include/sys/types.h:126: error: declaration does not declare anything
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/cmd/ai/aggressive.cpp: In member function ‘bool Orders::AggressiveAI::ProcessCurrentFgDirective(Flightgroup*)’:
/Users/jonn/Downloads/vegastrike-src-0.5.1.r1/src/cmd/ai/aggressive.cpp:759: warning: unused variable ‘callme’
make[2]: *** [CMakeFiles/engine_com.dir/src/cmd/ai/aggressive.o] Error 1
make[1]: *** [CMakeFiles/engine_com.dir/all] Error 2
make: *** [all] Error 2
--------------------------

I'm not really sure what's causing this.


That both build systems get the same error suggests either a source-level compatibility problem with VS and your MacOSX version, or some kind of environment breakage. I'm leaning towards the first (it's our fault), since that was the case for bacula on that link I posted. Maybe you should look into that (either sifting through bacula's commit logs for a clue or googling for similar cases)
Oíd mortales, el grito sagrado...
Call me "Menes, lord of Cats"
Wing Commander Universe
User avatar
klauss
Elite
Elite
 
Posts: 7243
Topics: 55
Joined: Mon Apr 18, 2005 7:40 am
Location: LS87, Buenos Aires, República Argentina



Return to Compiling Problems [paste config.log]

Who is online

Users browsing this forum: No registered users and 3 guests

cron